/home/travis/build/boostorg/boost/boost/geometry/core/mutable_range.hpp File Reference

## Classes

struct | boost::geometry::traits::clear< Range >
| Traits class to clear a geometry. More...
struct | boost::geometry::traits::push_back< Range >
| Traits class to append a point to a range (ring, linestring, multi*) More...
struct | boost::geometry::traits::resize< Range >
| Traits class to append a point to a range (ring, linestring, multi*) More...
struct | boost::geometry::traits::rvalue_type< Range >
| Metafunction to define the argument passed to the three traits classes clear, push_back and resize. More...

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::traits

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK